文档首页 > > 常见问题> 使用配置> PyPI> 配置pip源后安装组件失败

配置pip源后安装组件失败

分享
更新时间:2020/04/18 GMT+08:00

排查步骤如下:

  1. 确认配置已生效:查看日志中的下载地址是否是配置文件中的地址。
  2. 确认网络是否连通。
  3. 确认PyPI官网是否提供该组件。
  4. 确认安装的组件支持当前环境的系统、架构、python版本(可在对应组件的simple页面查看)。

    “pip install tensorflow”为例,tensorflow的simple页面为https://mirrors.huaweicloud.com/repository/pypi/simple/tensorflow/

    在页面中可以查看到组件“tensorflow-2.0.0rc2-cp35-cp35m-manylinux2010_x86_64.whl”,此组件支持Linux系统、x86架构、python3.5版本。

  5. 若已按指导完成配置文件, 但是依赖包依然请求的官网(即配置文件未生效),请注意是否系统隐藏了后缀, 配置文件正确类型应为“配置设置”

分享:

文档是否有解决您的问题?

提交成功!非常感谢您的反馈,我们会继续努力做到更好!
反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

智能客服提问云社区提问